src/Entity/Affiliation.php
<?php

namespace App\Entity;

use App\Repository\AffiliationRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass=AffiliationRepository::class)
 * @ORM\Table(name="sp_affiliation")
 */
class Affiliation
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $full_name;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $company_name;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $referred_by;

    /**
     * @ORM\Column(type="text", nullable=true)
     */
    private $heard_of;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $phone;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $email;

    /**
     * @ORM\Column(type="datetime")
     */
    private $created_at;

    /**
     * @ORM\Column(type="boolean")
     */
    private $state;

    /**
     * Constructor
     */
    public function __construct()
    {
        $this->created_at = new \DateTime();
        $this->state = false;
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getFullName(): ?string
    {
        return $this->full_name;
    }

    public function setFullName(string $full_name): self
    {
        $this->full_name = $full_name;

        return $this;
    }

    public function getCompanyName(): ?string
    {
        return $this->company_name;
    }

    public function setCompanyName(string $company_name): self
    {
        $this->company_name = $company_name;

        return $this;
    }

    public function getReferredBy(): ?string
    {
        return $this->referred_by;
    }

    public function setReferredBy(?string $referred_by): self
    {
        $this->referred_by = $referred_by;

        return $this;
    }

    public function getHeardOf(): ?string
    {
        return $this->heard_of;
    }

    public function setHeardOf(?string $heard_of): self
    {
        $this->heard_of = $heard_of;

        return $this;
    }

    public function getPhone(): ?string
    {
        return $this->phone;
    }

    public function setPhone(string $phone): self
    {
        $this->phone = $phone;

        return $this;
    }

    public function getEmail(): ?string
    {
        return $this->email;
    }

    public function setEmail(string $email): self
    {
        $this->email = $email;

        return $this;
    }

    public function getState(): ?int
    {
        return $this->state;
    }

    public function setState(int $state): self
    {
        $this->state = $state;

        return $this;
    }

    public function getCreatedAt(): ?\DateTimeInterface
    {
        return $this->created_at;
    }

    public function setCreatedAt(\DateTimeInterface $created_at): self
    {
        $this->created_at = $created_at;

        return $this;
    }
}

src/Form/AffiliationType.php
<?php

namespace App\Form;

use App\Entity\Affiliation;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class AffiliationType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('full_name')
            ->add('company_name')
            ->add('referred_by')
            ->add('heard_of')
            ->add('phone')
            ->add('email')
        ;
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults([
            'data_class' => Affiliation::class,
        ]);
    }
}

src/Controller/AffiliationController.php
<?php
namespace App\Controller;

use App\Entity\Affiliation;
use App\Repository\AffiliationRepository;
use Knp\Component\Pager\PaginatorInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Security;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\IsGranted;

/**
 * @isGranted("ROLE_ADMIN")
 * @Route("/dashboard/affilition")
 */
class AffiliationController extends AbstractController
{

    /**
     * @Route("/", name="dashboard_affiliation_index")
     * @param Request $request
     * @param AffiliationRepository $affiliationRepository
     * @param PaginatorInterface $paginator
     * @return Response
     */
    public function index(Request $request, AffiliationRepository $affiliationRepository, PaginatorInterface $paginator): Response
    {
        $affiliations = $affiliationRepository->findBy([], ["state" => "DESC"]);
        $affiliations = $paginator->paginate(
            $affiliations,
            $request->query->getInt('page', 1),
            10
        );

        return $this->render('affiliation/index.html.twig', [
            'affiliations' => $affiliations
        ]);
    }

    /**
     * @Route("/{id}", name="dashboard_affiliation_show")
     * @param Affiliation $affiliation
     * @return Response
     */
    public function show(Affiliation $affiliation): Response
    {
        $is_new = false;
        if (!$affiliation->getState()) {
            $is_new = true;
            $affiliation->setState(true);
            $this->getDoctrine()->getManager()->flush();
        }

        return $this->render("affiliation/show.html.twig", [
            "affiliation" => $affiliation,
            "is_new" => $is_new
        ]);
    }
}

templates/affiliation/index.html.twig
{% extends 'base.html.twig' %}

{% block title %}Liste des demandes d'affiliation{% endblock %}

{% block body %}
    <div class="card">
        <div class="card-header">
            <h4 class="card-title">Liste des demandes d'affiliation</h4>
        </div>
        <div class="card-body">
            <table class="table">
                <thead>
                <tr>
                    <th>Nom complet</th>
                    <th>Raison sociale</th>
                    <th>Téléphone</th>
                    <th>E-mail</th>
                    <th>Date de création</th>
                    <th>Statut</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                {% for affiliation in affiliations %}
                    <tr>
                        <td>{{ affiliation.fullName }}</td>
                        <td>{{ affiliation.companyName }}</td>
                        <td>{{ affiliation.phone }}</td>
                        <td>{{ affiliation.email }}</td>
                        <td>{{ affiliation.createdAt|date('d/m/Y') }}</td>
                        <td>
                            {% if affiliation.state == true %}
                                <span class="badge badge-secondary">&nbsp;&nbsp;&nbsp;Vu&nbsp;&nbsp;&nbsp;</span>
                            {% else %}
                                <span class="badge badge-success">Nouveau</span>
                            {% endif %}
                        </td>
                        <td>
                            <a class="btn btn-sm btn-primary" href="{{ path('dashboard_affiliation_show', {id: affiliation.id}) }}">Consulter</a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
{% endblock %}

templates/affiliation/show.html.twig
{% extends 'base.html.twig' %}

{% block body %}
<div class="card">
    <div class="card-header">
        <h4 class="card-title">Affiliaton #{{ affiliation.id }}{% if is_new %} <span class="badge badge-success">Nouveau</span> {% endif %}</h4>
    </div>
    <div class="card-body">
        <h2 class="card-title">{{ affiliation.fullName }}</h2>
        <h5 class="card-subtitle">{{ affiliation.companyName }}</h5>
        <ul class="mt-3 p-0" style="list-style: none">
            <li><i class="fa fa-envelope"></i> <a class="text-info" href="mailto: {{ affiliation.email }}">{{ affiliation.email }}</a></li>
            <li><i class="fa fa-mobile"></i> {{ affiliation.phone }}</li>
        </ul>
        <p>
            <strong>Parrainé par:</strong> {{ affiliation.referredBy }}<br>
            <strong>Date de demande:</strong> {{ affiliation.createdAt|date('d/m/Y H:i') }}<br>
            <strong>Entendu de Sprindt par:</strong> {{ affiliation.heardOf }}<br>
        </p>
    </div>
</div>
{% endblock %}